ESA(4)

NAME
esa - ESS Technology Allegro-1 / Maestro-3 family audio device driver

SYNOPSIS
esa* at pci? dev ? function ?
audio* at audiobus?
options ESA_NUM_VOICES=4

DESCRIPTION
The esa driver provides support for the ESS Allegro-1 and Maestro-3 audio devices on the PCI bus. These devices are popular in laptop systems.

The Allegro-1 and the Maestro-3 are full-duplex devices that allow independent playback and recording at sample rates between 8000Hz and 48000Hz and are capable of playback at 8 and 16 bit in mono and stereo.

Setting options ESA_NUM_VOICES=4 allows for hardware mixing in the device driver. Note that due to microcode constraints, the esa driver is currently limited to 4 simultaneous voices.

SEE ALSO
ac97(4), audio(4), pci(4)

HISTORY
The esa device driver appeared in NetBSD 1.5.3.

AUTHORS
Jared D. McNeill <jmcneill@invisible.ca>